Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotification::QoSAdmin Interface Reference

Interface used to control the QoS properties of an Event Service components (Channel, Proxy, etc.). More...

`import "CosNotification.idl";`

Inheritance diagram for CosNotification::QoSAdmin:

[legend]
List of all members.

## Public Methods
QoSProperties | get_qos ()
| Get the current QoS properties. More...
void | set_qos (in QoSProperties qos) raises ( UnsupportedQoS )
| Set the QoS properties. More...
void | validate_qos (in QoSProperties required_qos, out NamedPropertyRangeSeq available_qos) raises ( UnsupportedQoS )
| Validate a set of QoS properties. More...

## Detailed Description

Interface used to control the QoS properties of an Event Service components (Channel, Proxy, etc.).

QoS properties of a channel can be set at different levels, including the proxies, the ConsumerAdmin and the SupplierAdmin objects. Each one of those components offers this interface to allow control over the properties.

## Member Function Documentation

QoSProperties CosNotification::QoSAdmin::get_qos | ( |  | ) |

| Get the current QoS properties. The operation returns the properties set: At the level queried Not set at the level queried but set at a higher-level Not set at all but having a default value.

void CosNotification::QoSAdmin::set_qos | ( | in QoSProperties | qos | ) | raises ( UnsupportedQoS )

  | Set the QoS properties. Parameters:
  qos | The requested QoS properties
  Exceptions:
  UnsupportedQoS | if the requested QoS cannot be implemented or is invalid. The exception contents describe the problem(s) in detail.

void CosNotification::QoSAdmin::validate_qos | ( | in QoSProperties | required_qos,
|  | out NamedPropertyRangeSeq | available_qos
| ) | raises ( UnsupportedQoS )

  | Validate a set of QoS properties. Parameters:
  required_qos | the list of properties requested by the application
  available_qos | If the properties are supported this argument returns a list of any other properties that could also be set.
  Exceptions:
  UnsupportedQoS | if the requested QoS cannot be implemented or is invalid. The exception contents describe the problem(s) in detail.

The documentation for this interface was generated from the following file:

- CosNotification.idl